{% extends 'template.html' %}
{% block extracss %}
    <!-- Datatables -->
    <link href="/static/css/dataTables.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/buttons.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/fixedHeader.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/responsive.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/scroller.bootstrap.min.css" rel="stylesheet">
    {% block extrahead_list %}

    {% endblock %}
{% endblock %}
{% block cuerpo %}  
<script>
    function cargardatos(mes, sabados_domingos, feriados, dias_totales, dias_habiles, gestion){
        document.formtiempodisponible.mes.value=mes;
        document.formtiempodisponible.sabados_domingos.value=sabados_domingos;
        document.formtiempodisponible.feriados.value=feriados;
        document.formtiempodisponible.dias_totales.value=dias_totales;
        document.formtiempodisponible.dias_habiles.value= dias_habiles;
        document.formtiempodisponible.gestion.value=gestion;   
    }
</script> 
<div class="x_panel">
    <div class="x_title">
      <h2>CALCULO DEL TIEMPO DISPONIBLE <small>GESTION : {{ request.session.gestion }} <a href="#" class="btn btn-primary btn-xs" onclick="document.formactividad.nombre_etapa.value='PLANIFICACION'; document.formactividad.id_etapa.value='1';" data-toggle="modal" data-target=".bs-example-modal-lg"><i class="fa fa-plus"></i></a></small></h2>
      <ul class="nav navbar-right panel_toolbox">
        <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
        </li>
        <li class="dropdown">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
          <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
              <a class="dropdown-item" href="#">Settings 1</a>
              <a class="dropdown-item" href="#">Settings 2</a>
            </div>
        </li>
        <li><a class="close-link"><i class="fa fa-close"></i></a>
        </li>
      </ul>
      <div class="clearfix"></div>
    </div>
    <div class="x_content">
        <table  id="datatable-responsive"
                class="table table-striped table-bordered dt-responsive nowrap"
                cellspacing="0" width="100%">
            <thead>
                <th>ID</th>
                <th>MES</th>
                <th>SABADOS Y DOMINGOS</th>
                <th>FERIADOS</th>
                <th>DIAS TOTALES</th>
                <th>DIAS HABILES</th>
                <th></th>
            </thead>
            <tbody>
                {% for tiempodisponible in object_list %}
                <tr>
                    <td><div style="float:center;width:49%;text-align:center;">{{ tiempodisponible.id }}</div></td>
                    <td>{{ tiempodisponible.mes.mes }}</td>
                    <td><div style="float:center;width:49%;text-align:center;">{{ tiempodisponible.sabados_domingos }}</div></td>
                    <td><div style="float:center;width:49%;text-align:center;">{{ tiempodisponible.feriados }}</div></td>
                    <td><div style="float:center;width:49%;text-align:center;">{{ tiempodisponible.dias_totales }}</div></td>
                    <td><div style="float:center;width:49%;text-align:center;">{{ tiempodisponible.dias_habiles }}</div></td>
                    <td><a href="#" class="btn btn-warning btn-xs" data-toggle="modal" data-target=".bs-example-modal-lg"><i class="fa fa-edit" onclick="cargardatos({{ tiempodisponible.mes.id }}, {{ tiempodisponible.sabados_domingos }}, {{ tiempodisponible.feriados }}, {{ tiempodisponible.dias_totales }}, {{ tiempodisponible.dias_habiles }}, {{ tiempodisponible.gestion }});"></i></a></td>
                </tr>
                {% endfor %}  
                <tr>
                    <td>100</td>
                    <td><strong>TOTALES</strong></td>
                    <td><strong><div style="float:center;width:49%;text-align:center;">{{ tsabados_domingos }}</div></strong></td>
                    <td><strong><div style="float:center;width:49%;text-align:center;">{{ tferiados }}</div></strong></td>
                    <td><strong><div style="float:center;width:49%;text-align:center;">{{ tdias_totales }}</div></strong></td>
                    <td><strong><div style="float:center;width:49%;text-align:center;">{{ tdias_habiles }}</div></strong></td>
                    <td></td>
                </tr>             
            </tbody>    
        </table>
    </div>
  </div>
  <div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" style="display: none;" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
          <div class="modal-header">
            <h4 class="modal-title" id="myModalLabel">GENERANDO EL REPORTE MENSUAL DEL AUDITOR</h4>
            <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">
            <form name="formtiempodisponible" id="formtiempodisponible" method="post" action="/administrador/TiempoDisponibleUpdate/2021">  {% csrf_token %}
                <div class="col-md-6 col-sm-6 col-xs-6 form-group has-feedback">
                    <label class="control-label">Mes</label>
                    <input type="text" id="mes" name="mes" class="form-control">
                    <span class="fa fa-calendar form-control-feedback rigth" aria-hidden="true"></span>
                 </div>               
                 <div class="col-md-6 col-sm-6 col-xs-6 form-group has-feedback">
                    <label class="control-label">Gestion</label> 
                    <input type="text" id="gestion" name="gestion" class="form-control">
                    <span class="fa fa-calendar form-control-feedback rigth" aria-hidden="true"></span>
                 </div>     
                 <div class="col-md-3 col-sm-3 col-xs-3 form-group has-feedback">
                    <label class="control-label">Sabados y domingos</label>
                    <input type="text" id="sabados_domingos" name="sabados_domingos" class="form-control">
                    <span class="fa fa-calendar form-control-feedback rigth" aria-hidden="true"></span>
                 </div>          
                 <div class="col-md-3 col-sm-3 col-xs-3 form-group has-feedback">
                    <label class="control-label">Feriados</label>
                    <input type="text" id="feriados" name="feriados" class="form-control">
                    <span class="fa fa-calendar form-control-feedback rigth" aria-hidden="true"></span>
                 </div>          
                 <div class="col-md-3 col-sm-3 col-xs-3 form-group has-feedback">
                    <label class="control-label">Dias Totales</label>
                    <input type="text" id="dias_totales" name="dias_totales" class="form-control">
                    <span class="fa fa-calendar form-control-feedback rigth" aria-hidden="true"></span>
                 </div>          
                 <div class="col-md-3 col-sm-3 col-xs-3 form-group has-feedback">
                    <label class="control-label">Dias Habiles</label>
                    <input type="text" id="dias_habiles" name="dias_habiles" class="form-control">
                    <span class="fa fa-calendar form-control-feedback rigth" aria-hidden="true"></span>
                 </div>          
            </form>             
          </div>
          <div class="modal-footer">
            <a href="#" onclick="document.formtiempodisponible.submit();" class="btn btn-primary btn-xs"><i class="fa fa-save"></i>Guardar</a>
          </div>
        </div>
      </div>
    </div>  
{% endblock %}
{% block extrajs %}
    <!-- Datatables -->
    <script src="/static/js/jquery.dataTables.min.js"></script>
    <script src="/static/js/dataTables.bootstrap.min.js"></script>
    <script src="/static/js/dataTables.buttons.min.js"></script>
    <script src="/static/js/buttons.bootstrap.min.js"></script>
    <script src="/static/js/buttons.flash.min.js"></script>
    <script src="/static/js/buttons.html5.min.js"></script>
    <script src="/static/js/buttons.print.min.js"></script>
    <script src="/static/js/dataTables.fixedHeader.min.js"></script>
    <script src="/static/js/dataTables.keyTable.min.js"></script>
    <script src="/static/js/dataTables.responsive.min.js"></script>
    <script src="/static/js/responsive.bootstrap.js"></script>
    <script src="/static/js/dataTables.scroller.min.js"></script>
    <script src="/static/js/jszip.min.js"></script>
    <script src="/static/js/pdfmake.min.js"></script>
    <script src="/static/js/vfs_fonts.js"></script>
    <script>
        $(function () {
            $('#datatable-responsive').DataTable({
                "iDisplayLength": 25,
                "pageLenth":12,
                "length": 25,
                "language": {
                    "sSearch": "Buscar",
                    "lengthMenu": "Mostrar _MENU_ registros",
                    "sInfo": "Mostrando registros del1 _START_ al _END_ de un total de _TOTAL_ registros",
                }
            });
         });
    </script>  
{% endblock %}